Liblinphone: linphone::ParticipantDeviceListener Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::ParticipantDeviceListener Class Reference

An object to handle the callbacks for the handling a ParticipantDevice objects. More...

`#include <participant_device_listener.hh>`

Inheritance diagram for linphone::ParticipantDeviceListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onIsSpeakingChanged (const std::shared_ptr< linphone::ParticipantDevice > &participantDevice, bool isSpeaking)
| Callback used to notify that is this participant device speaking has changed.
virtual LINPHONECXX_PUBLIC void | onIsMuted (const std::shared_ptr< linphone::ParticipantDevice > &participantDevice, bool isMuted)
| Callback used to notify that this participant device is muted or is no longer muted.
virtual LINPHONECXX_PUBLIC void | onStateChanged (const std::shared_ptr< linphone::ParticipantDevice > &participantDevice, linphone::ParticipantDevice::State state)
| Callback used to notify that participant device changed state.
virtual LINPHONECXX_PUBLIC void | onStreamCapabilityChanged (const std::shared_ptr< linphone::ParticipantDevice > &participantDevice, linphone::MediaDirection direction, linphone::StreamType streamType)
| Callback used to notify that participant device stream capability has changed.
virtual LINPHONECXX_PUBLIC void | onStreamAvailabilityChanged (const std::shared_ptr< linphone::ParticipantDevice > &participantDevice, bool available, linphone::StreamType streamType)
| Callback used to notify that participant device stream availability has changed.
virtual LINPHONECXX_PUBLIC void | onVideoDisplayErrorOccurred (const std::shared_ptr< linphone::ParticipantDevice > &participantDevice, int errorCode)
| Callback to notify that there are errors from the video rendering of the participant device.

## Detailed Description

An object to handle the callbacks for the handling a ParticipantDevice objects.

Use Factory::createParticipantDeviceCbs() to create an instance. Then pass the object to a ParticipantDevice instance through ParticipantDevice::addListener().

## Member Function Documentation

## ◆ onIsMuted()

virtual LINPHONECXX_PUBLIC void linphone::ParticipantDeviceListener::onIsMuted | ( | const std::shared_ptr< linphone::ParticipantDevice > & | participantDevice,
|  | bool | isMuted )
| inlinevirtual

Callback used to notify that this participant device is muted or is no longer muted.

Parameters

  participantDevice | ParticipantDevice object
  isMuted | is this participant device muted

## ◆ onIsSpeakingChanged()

virtual LINPHONECXX_PUBLIC void linphone::ParticipantDeviceListener::onIsSpeakingChanged | ( | const std::shared_ptr< linphone::ParticipantDevice > & | participantDevice,
|  | bool | isSpeaking )
| inlinevirtual

Callback used to notify that is this participant device speaking has changed.

Parameters

  participantDevice | ParticipantDevice object
  isSpeaking | is this participant device speaking

## ◆ onStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::ParticipantDeviceListener::onStateChanged | ( | const std::shared_ptr< linphone::ParticipantDevice > & | participantDevice,
|  | linphone::ParticipantDevice::State | state )
| inlinevirtual

Callback used to notify that participant device changed state.

Parameters

  participantDevice | LinphoneParticipantDevice object
  state | new participant device state

## ◆ onStreamAvailabilityChanged()

virtual LINPHONECXX_PUBLIC void linphone::ParticipantDeviceListener::onStreamAvailabilityChanged | ( | const std::shared_ptr< linphone::ParticipantDevice > & | participantDevice,
|  | bool | available,
|  | linphone::StreamType | streamType )
| inlinevirtual

Callback used to notify that participant device stream availability has changed.

Parameters

  participantDevice | ParticipantDevice object
  available | true if the stream is available on our side
  streamType | type of the stream

## ◆ onStreamCapabilityChanged()

virtual LINPHONECXX_PUBLIC void linphone::ParticipantDeviceListener::onStreamCapabilityChanged | ( | const std::shared_ptr< linphone::ParticipantDevice > & | participantDevice,
|  | linphone::MediaDirection | direction,
|  | linphone::StreamType | streamType )
| inlinevirtual

Callback used to notify that participant device stream capability has changed.

Parameters

  participantDevice | ParticipantDevice object
  direction | participant device's audio direction
  streamType | type of the stream

## ◆ onVideoDisplayErrorOccurred()

virtual LINPHONECXX_PUBLIC void linphone::ParticipantDeviceListener::onVideoDisplayErrorOccurred | ( | const std::shared_ptr< linphone::ParticipantDevice > & | participantDevice,
|  | int | errorCode )
| inlinevirtual

Callback to notify that there are errors from the video rendering of the participant device.

Check LinphoneCallCbsVideoDisplayErrorOccurredCb for more details.

Parameters

  participantDevice | LinphoneParticipantDevice object
  errorCode | the error code coming from the display render.

The documentation for this class was generated from the following file:

- participant_device_listener.hh